# $Revision: 1.7 $, $Date: 2011/12/05 20:11:20 $
Summary:	Augeas - configuration editing tool
Summary(pl.UTF-8):	Augeas - narzędzie do modyfikowania konfiguracji
Name:		augeas
Version:	0.10.0
Release:	1
License:	LGPL v2.1+
Group:		Applications/System
Source0:	http://augeas.net/download/%{name}-%{version}.tar.gz
# Source0-md5:	fe1834e90a066c3208ac0214622c7352
Patch0:		%{name}-pld_interfaces.patch
URL:		http://augeas.net/
BuildRequires:	libselinux-devel
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Augeas is a library and command line tool that focuses on the most
basic problem in handling Linux configurations programmatically:
editing actual configuration files in a controlled manner.

%description -l pl.UTF-8
Augeas to biblioteka i działające z linii poleceń narzędzie
skupiające się na najbardziej podstawowym problemie przy programowej
obsłudze konfiguracji Linuksa: modyfikowaniu w sposób kontrolowany
właściwych plików konfiguracyjnych.

%package libs
Summary:	Augeas libraries
Summary(pl.UTF-8):	Biblioteki augeasa
Group:		Libraries

%description libs
This package contains the augeas libraries.

%description libs -l pl.UTF-8
Ten pakiet zawiera biblioteki augeasa.

%package devel
Summary:	Augeas development files
Summary(pl.UTF-8):	Pliki programistyczne augeasa
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	libselinux-devel
Requires:	libxml2-devel >= 2.0

%description devel
This package contains the include files used to develop using augeas
APIs.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkow służące do programowania z użyciem
API augeasa.

%package static
Summary:	Augeas static libraries
Summary(pl.UTF-8):	Statyczne biblioteki augeasa
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains augeas static libraries.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczne biblioteki augeasa.

%package -n vim-syntax-augeas
Summary:	Augeas syntax rules for Vim
Summary(pl.UTF-8):	Reguły składni Augeasa dla Vima
Group:		Applications/Editors/Vim
# for _vimdatadir existence
Requires:	vim-rt >= 4:6.3.058-3

%description -n vim-syntax-augeas
Augeas syntax rules for Vim.

%description -n vim-syntax-augeas -l pl.UTF-8
Reguły składni Augeasa dla Vima.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/augparse
%attr(755,root,root) %{_bindir}/augtool
%attr(755,root,root) %{_bindir}/fadot
%{_datadir}/augeas
%{_mandir}/man1/augparse.1*
%{_mandir}/man1/augtool.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libaugeas.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libaugeas.so.0
%attr(755,root,root) %{_libdir}/libfa.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfa.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libaugeas.so
%attr(755,root,root) %{_libdir}/libfa.so
%{_libdir}/libaugeas.la
%{_libdir}/libfa.la
%{_includedir}/augeas.h
%{_includedir}/fa.h
%{_pkgconfigdir}/augeas.pc

%files static
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libaugeas.a
%attr(755,root,root) %{_libdir}/libfa.a

%files -n vim-syntax-augeas
%defattr(644,root,root,755)
%{_datadir}/vim/vimfiles/ftdetect/augeas.vim
%{_datadir}/vim/vimfiles/syntax/augeas.vim

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: augeas.spec,v $
Revision 1.7  2011/12/05 20:11:20  qboosh
- updated to 0.10.0

Revision 1.6  2011/08/12 19:16:49  qboosh
- updated to 0.9.0
- package vim syntax files

Revision 1.5  2011/05/28 20:51:31  qboosh
- updated to 0.8.1
- many, many cleaning that Augeas (spec) required

Revision 1.4  2011/03/28 18:08:47  arekm
- up to 0.8.0

Revision 1.3  2011/01/30 16:20:29  sparky
- BR: readline-devel

Revision 1.2  2010/07/20 07:29:00  alucard
- include pld dir for network interfaces

Revision 1.1  2010/07/19 15:53:35  alucard
- initial commit
